package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TcustpersondetailDTO implements Serializable {

    private static final long serialVersionUID = 571322313821848L;

    private Integer tcustpersondetailPK;

    private Integer recordversion;

    private java.util.Date datefrom;

    private String name;

    private String nickname;

    private String identification;

    private java.util.Date registerdate;

    private String innerscore;

    private String parthnernumber;

    private java.util.Date dateexpidentification;

    private String taxexempt;

    private String ismigrated;

    private String sbsemployee;

    private String sbsusercode;

    private String legalrepresent;

    private String legalrepresentidentification;

    private Integer sign;

    private Integer picture;

    private Long photo;

    private String econimicact;

    private Integer tgenecatalogdetail;

    private Integer tcustperson;

    private Integer activitycode;

    private Integer tgenecatalogdetail1;

    private Integer tgenecatalogdetail2;

    private Integer tgenecatalogdetail3;

    private Integer tgenecatalogdetail4;

    private Integer languagecode;

    private Integer tgeneoffice;

    private Integer modifyuser;

    private Integer ingressuser;

        public Integer getTcustpersondetailPK() {
    return tcustpersondetailPK;
    }

        public void setTcustpersondetailPK(Integer tcustpersondetailPK) {
    this.tcustpersondetailPK = tcustpersondetailPK;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public java.util.Date getDatefrom() {
    return datefrom;
    }

        public void setDatefrom(java.util.Date datefrom) {
    this.datefrom = datefrom;
    }

        public String getName() {
    return name;
    }

        public void setName(String name) {
    this.name = name;
    }

        public String getNickname() {
    return nickname;
    }

        public void setNickname(String nickname) {
    this.nickname = nickname;
    }

        public String getIdentification() {
    return identification;
    }

        public void setIdentification(String identification) {
    this.identification = identification;
    }

        public java.util.Date getRegisterdate() {
    return registerdate;
    }

        public void setRegisterdate(java.util.Date registerdate) {
    this.registerdate = registerdate;
    }

        public String getInnerscore() {
    return innerscore;
    }

        public void setInnerscore(String innerscore) {
    this.innerscore = innerscore;
    }

        public String getParthnernumber() {
    return parthnernumber;
    }

        public void setParthnernumber(String parthnernumber) {
    this.parthnernumber = parthnernumber;
    }

        public java.util.Date getDateexpidentification() {
    return dateexpidentification;
    }

        public void setDateexpidentification(java.util.Date dateexpidentification) {
    this.dateexpidentification = dateexpidentification;
    }

        public String getTaxexempt() {
    return taxexempt;
    }

        public void setTaxexempt(String taxexempt) {
    this.taxexempt = taxexempt;
    }

        public String getIsmigrated() {
    return ismigrated;
    }

        public void setIsmigrated(String ismigrated) {
    this.ismigrated = ismigrated;
    }

        public String getSbsemployee() {
    return sbsemployee;
    }

        public void setSbsemployee(String sbsemployee) {
    this.sbsemployee = sbsemployee;
    }

        public String getSbsusercode() {
    return sbsusercode;
    }

        public void setSbsusercode(String sbsusercode) {
    this.sbsusercode = sbsusercode;
    }

        public String getLegalrepresent() {
    return legalrepresent;
    }

        public void setLegalrepresent(String legalrepresent) {
    this.legalrepresent = legalrepresent;
    }

        public String getLegalrepresentidentification() {
    return legalrepresentidentification;
    }

        public void setLegalrepresentidentification(String legalrepresentidentification) {
    this.legalrepresentidentification = legalrepresentidentification;
    }

        public Integer getSign() {
    return sign;
    }

        public void setSign(Integer sign) {
    this.sign = sign;
    }

        public Integer getPicture() {
    return picture;
    }

        public void setPicture(Integer picture) {
    this.picture = picture;
    }

        public Long getPhoto() {
    return photo;
    }

        public void setPhoto(Long photo) {
    this.photo = photo;
    }

        public String getEconimicact() {
    return econimicact;
    }

        public void setEconimicact(String econimicact) {
    this.econimicact = econimicact;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public Integer getTcustperson() {
    return tcustperson;
    }

        public void setTcustperson(Integer tcustperson) {
    this.tcustperson = tcustperson;
    }

        public Integer getActivitycode() {
    return activitycode;
    }

        public void setActivitycode(Integer activitycode) {
    this.activitycode = activitycode;
    }

        public Integer getTgenecatalogdetail1() {
    return tgenecatalogdetail1;
    }

        public void setTgenecatalogdetail1(Integer tgenecatalogdetail1) {
    this.tgenecatalogdetail1 = tgenecatalogdetail1;
    }

        public Integer getTgenecatalogdetail2() {
    return tgenecatalogdetail2;
    }

        public void setTgenecatalogdetail2(Integer tgenecatalogdetail2) {
    this.tgenecatalogdetail2 = tgenecatalogdetail2;
    }

        public Integer getTgenecatalogdetail3() {
    return tgenecatalogdetail3;
    }

        public void setTgenecatalogdetail3(Integer tgenecatalogdetail3) {
    this.tgenecatalogdetail3 = tgenecatalogdetail3;
    }

        public Integer getTgenecatalogdetail4() {
    return tgenecatalogdetail4;
    }

        public void setTgenecatalogdetail4(Integer tgenecatalogdetail4) {
    this.tgenecatalogdetail4 = tgenecatalogdetail4;
    }

        public Integer getLanguagecode() {
    return languagecode;
    }

        public void setLanguagecode(Integer languagecode) {
    this.languagecode = languagecode;
    }

        public Integer getTgeneoffice() {
    return tgeneoffice;
    }

        public void setTgeneoffice(Integer tgeneoffice) {
    this.tgeneoffice = tgeneoffice;
    }

        public Integer getModifyuser() {
    return modifyuser;
    }

        public void setModifyuser(Integer modifyuser) {
    this.modifyuser = modifyuser;
    }

        public Integer getIngressuser() {
    return ingressuser;
    }

        public void setIngressuser(Integer ingressuser) {
    this.ingressuser = ingressuser;
    }

}